Skip to content
Permalink
Browse files

fix(core): show the package manager stderr when installing deps fails

We used to have this when --verbose was set, but this should avoid some unnecessary GitHub issues
when it's always part of the exception.
  • Loading branch information
malept committed Nov 6, 2018
1 parent 00c5769 commit 2dfde761a2a490ed97d4c3143bec1ec81f7349d9
Showing with 1 addition and 1 deletion.
  1. +1 −1 packages/api/core/src/util/install-dependencies.ts
@@ -41,6 +41,6 @@ export default async (
stdio: 'pipe',
});
} catch (err) {
throw new Error(`Failed to install modules: ${JSON.stringify(deps)}\n\nWith output: ${err.message}`);
throw new Error(`Failed to install modules: ${JSON.stringify(deps)}\n\nWith output: ${err.message}\n${err.stderr.toString()}`);
}
};

0 comments on commit 2dfde76

Please sign in to comment.
You can’t perform that action at this time.